Bug 1382277 - Incorrect volume type in the "glusterd_state" file generated using CLI "gluster get-state"
Summary: Incorrect volume type in the "glusterd_state" file generated using CLI "glus...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.2
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: RHGS 3.2.0
Assignee: Samikshan Bairagya
QA Contact: Byreddy
URL:
Whiteboard:
Depends On:
Blocks: 1351528 1385839 1387502
TreeView+ depends on / blocked
 
Reported: 2016-10-06 08:37 UTC by Byreddy
Modified: 2017-03-23 06:08 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.8.4-3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1385839 (view as bug list)
Environment:
Last Closed: 2017-03-23 06:08:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Byreddy 2016-10-06 08:37:06 UTC
Description of problem:
=======================
Showing Incorrect volume type in the glusterd state dump.

[Volumes]
Volume1.name: Dis-Rep         
Volume1.id: fd13329e-35c9-476f-a5d0-ca2be1c488c0
Volume1.type: Replicate      <==============
Volume1.transport_type: tcp
Volume1.status: Started
Volume1.brickcount: 4

Volume info details:
~]# gluster volume info
 
Volume Name: Dis-Rep
Type: Distributed-Replicate   <============= 
Volume ID: fd13329e-35c9-476f-a5d0-ca2be1c488c0
Status: Started
Snapshot Count: 0
Number of Bricks: 2 x 2 = 4
Transport-type: tcp

......




Version-Release number of selected component (if applicable):
=============================================================
glusterfs-3.8.4-2


How reproducible:
=================
Always


Steps to Reproduce:
===================
1. Have 2 or more cluster nodes
2. Create a 2 * 2 volume type and start it
3. take glusterd state dump using the cmd "gluster get-state"
4. Check for the volume type in the dump file.

Actual results:
===============
Incorrect volume type in the glusterd state dump


Expected results:
=================
Volume type should show correctly


Additional info:

Comment 2 Atin Mukherjee 2016-10-06 08:50:16 UTC
Byreddy - please do not use the term statedump here as that indicates something different. Please change the subject/summary to mention cluster state

Comment 3 Atin Mukherjee 2016-10-06 08:51:50 UTC
Correction, it should be local state.

Comment 5 Byreddy 2016-10-14 08:54:00 UTC
Some other issues related to this one:

1) replica count entry is not showing, it should be there

2) Correct the peer related info which is discussed // similar to CLI peer status output

3) Remove the below duplicate entries
Volume1.rebalance.data: 0
Volume1.rebalance.data: 0

4) Entry "Volume1.Brick1.signedin:" is showing false for running brick process 

5)Remove the not needed entries eg:
Volume1.Brick1.filesystem_type:
Volume1.Brick1.mount_options:

I didn't seen these entries filled in my testing.

Comment 7 Byreddy 2016-10-14 11:08:52 UTC
+
6) Sever quorum ratio entry is missing, which is needed.

Comment 8 Byreddy 2016-10-14 11:09:32 UTC
(In reply to Byreddy from comment #7)
> +
> 6) Server quorum ratio entry is missing, which is needed.

Comment 9 Samikshan Bairagya 2016-10-14 11:46:51 UTC
(In reply to Byreddy from comment #7)
> +
> 6) Sever quorum ratio entry is missing, which is needed.

cluster.server-quorum-ratio will be there in the local state data under the global options section, in case it is explicitly set to some other value other than the default.

Comment 10 Byreddy 2016-10-17 04:58:09 UTC
(In reply to Samikshan Bairagya from comment #9)
> (In reply to Byreddy from comment #7)
> > +
> > 6) Sever quorum ratio entry is missing, which is needed.
> 
> cluster.server-quorum-ratio will be there in the local state data under the
> global options section, in case it is explicitly set to some other value
> other than the default.

Yes Samikshan, i am seeing when i set it explicitly under the global option section.

Comment 11 Byreddy 2016-10-17 05:03:50 UTC
For Tiered volume type,

we have to separate the cold and hot bricks based on the below info in the file.

Volume4.tier_info.cold_tier_type: Replicate
Volume4.tier_info.cold_brick_count: 3
Volume4.tier_info.cold_replica_count: 3
Volume4.tier_info.cold_disperse_count: 0
Volume4.tier_info.cold_dist_leaf_count: 3
Volume4.tier_info.cold_redundancy_count: 0
Volume4.tier_info.hot_tier_type: Distribute
Volume4.tier_info.hot_brick_count: 2
Volume4.tier_info.hot_replica_count: 1
Volume4.tier_info.promoted: 0
Volume4.tier_info.demoted: 0

Comment 13 Byreddy 2016-10-17 05:52:10 UTC
rebalanced data entry is showing with out data unit.

Volume1.rebalance.id: e7227829-1357-4153-8b8f-78e05aec5fe1
Volume1.rebalance.status: started
Volume1.rebalance.failures: 0
Volume1.rebalance.skipped: 0
Volume1.rebalance.lookedup: 988
Volume1.rebalance.files: 684
Volume1.rebalance.data: 93433255    <======= NO DATA UNIT

I think data unit is needed here

Comment 14 Samikshan Bairagya 2016-10-17 19:25:58 UTC
http://review.gluster.org/15662 is posted for review.

Comment 15 Atin Mukherjee 2016-10-23 01:48:13 UTC
upstream mainline : http://review.gluster.org/15662
upstream 3.9 : http://review.gluster.org/15696
downstream patch : https://code.engineering.redhat.com/gerrit/#/c/87965

Comment 17 Byreddy 2016-10-25 11:16:52 UTC
Verified this bug using the build - glusterfs-3.8.4-3.

I am seeing all the above mentioned issues are addressed.

Moving to verified state.

Comment 19 errata-xmlrpc 2017-03-23 06:08:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.